#!/bin/sh

mkdir -p /binary
mkdir -p /default
mkdir -p /config
mkdir -p /data/mbushub
mkdir -p /var/www1

chown -R root:root *
chmod a+x binary/mbushub.elf
chmod a+x binary/reset_mbusmaster.sh
chmod a+x etc/init.d/S94mbushub
chmod a+x etc/init.d/S93mbushub_init
chmod a+rw config/*
cp binary/reset_mbusmaster.sh /binary/
cp binary/mbushub.elf /binary/
cp binary/mbushub_version.txt /binary/
cp config/mbushub_default.ini /config/
cp -a etc  /
cp -a var/www1/*  /var/www1/
cp default/* /default
#Remove the old web interface, moved to mbushub/templates
rm -f /var/www1/templates/mbushub_logging.html
rm -f /var/www1/templates/mbushub_manual.html
rm -f /var/www1/templates/mbushub_masterport.html
rm -f /var/www1/templates/mbushub_portconf.html
rm -f /var/www1/templates/mbushub_slaveport.html

if [ ! -f /config/mbushub.ini ]
then
cp config/mbushub_default.ini /config/mbushub.ini
fi

if [ ! -f /config/mbushub_hw.ini ]
then
cp config/mbushub_hw.ini /config/
fi

if [ ! -f /config/mbushub_lic.ini ]
then
cp config/mbushub_lic.ini /config/
fi

# Update default files
rm -f /default/mbushub_hw.ini
cp -f config/mbushub_hw.ini /default/
rm -f /default/mbushub_default.ini
cp -f config/mbushub_default.ini /default/

sync

killall mbushub.elf
sleep 1
/binary/mbushub.elf >/dev/null 2>&1 &
