#!/bin/sh

if [ -f /var/www/cgi-bin/templates/confstart.pyhtml ]; then
  #Check if Gateway has ECC problematic version.
  a=$(/binary/mbushub.elf -S)
  grep "2018-" /var/www/cgi-bin/templates/confstart.pyhtml
  b=$?
  grep "2019-" /var/www/cgi-bin/templates/confstart.pyhtml
  c=$?
  #echo $a
  #echo $b
  #echo $c
  if [ "$a" -le 16784340 ]; then
  if [ $b -ne 0 ] && [ $c -ne 0 ]; then
      echo "Unit may have ECC problem, not updating"
      exit 1
  else
      echo "No ECC problem. Check if version >= 2.4.0"
  fi
  fi
fi

if [ -f /var/www1/templates/start_page.html ]; then
  #Check if version > 2.4.0
  grep "2.4." /var/www1/templates/start_page.html
  b=$?
  grep "2.5." /var/www1/templates/start_page.html
  c=$?
  grep "2.6." /var/www1/templates/start_page.html
  d=$?
  if [ $b -ne 0 ] && [ $c -ne 0 ] && [ $d -ne 0 ]; then
      echo "Version not 2.4.x, 2.5.x nor 2.6.x. Please use full update."
      exit 1
  else
      echo "Version and Serial number ok. Updating"
  fi
else
    echo "System too old. Please use full update."
    exit 1
fi

chown -R root:root *
#chmod a+x install_package/sbin/
chmod a+x etc/checkIFStatus.sh

mkdir -p /config/tmp
cp -a * /

if [ ! -f /etc/lighttpd/lighttpd.conf ]; then
    cd /etc/lighttpd && ln -s lighttpd_https.conf lighttpd.conf
fi

cd /usr/lib && ln -sf libcurl.so.4.7.0 libcurl.so.4
cd /usr/lib && ln -sf libcurl.so.4.7.0 libcurl.so
cd /usr/lib && ln -sf libssh2.so.1.0.1 libssh2.so.1
cd /usr/lib && ln -sf libssh2.so.1.0.1 libssh2.so
cd /usr/lib && ln -sf libjsoncpp.so.1.8.4 libjsoncpp.so.19
cd /usr/lib && ln -sf libjsoncpp.so.1.8.4 libjsoncpp.so
find /var/www1 -name *.pyc -exec rm {} \;
sync

