#!/bin/sh

mkdir -p /config
mkdir -p /binary
mkdir -p /default
mkdir -p /var/www1
rm -f /var/www1/modbus2mbus.py
rm -f /var/www1/templates/modbus2mbus*

chown -R root:root *
chmod a+x binary/modbus2mbus
chmod a+x etc/init.d/S96modbus2mbus
chmod a+x var/www/cgi-bin/*
chmod a+rw config/*
cp binary/modbus2mbus /binary
cp binary/modbus2mbus_version.txt /binary
cp config/modbus2mbus_default.ini /config
cp config/modbusreader_default.ini /config
cp config/modbusreader_default.ini /tmp
cp -a etc  /
cp -a var/www/*  /var/www/
cp -a var/www1/*  /var/www1/
#if [ ! -f /config/modbus2mbus.ini ]
#then
#  cp /config/modbus2mbus_default.ini /config/modbus2mbus.ini
#fi
if [ ! -f /config/modbus2mbus.xml ]
then
  cp config/modbus2mbus.xml /config/modbus2mbus.xml
fi
var=$(grep "Modbus2MBus" /var/www/menu.html)
if [ -z "$var" ]; then
   #echo "Adding QuickPost to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"Modbus2MBus\" href=\"\/cgi-bin\/modbus2mbus.py\">Modbus2MBus<\/a>\n<\/li>\n/g' /var/www/menu.html
fi
sync
