#!/usr/bin/python
# -*- coding: utf-8 -*-
import os, sys, cgi, time
import configparser

form = cgi.FieldStorage()

conf = configparser.RawConfigParser()
conf.read('/config/han2mbus.ini')
dconf = configparser.RawConfigParser()
dconf.read('/config/han2mbus_default.ini')

def setopt(sect, opt,nameext):
    retval=''
    try:
        retval=form[nameext+opt].value
    except:
        pass
    if retval == '':
        retval=dconf.get(sect,opt)
    conf.set(sect,opt,retval)

def write_section(sect,nameext=""):
    conf.remove_section(sect)
    conf.add_section(sect)
    for i in dconf.options(sect):
        setopt(sect,i,nameext)

write_section('HanPort1','H1')
write_section('HanPort2','H2')
write_section('MBusPort','MB')


with open('/config/han2mbus.ini','w') as cfile:
    conf.write(cfile)
time.sleep(1)
cfile.close()

os.system("rm -f /tmp/hanmodule??")
os.system("killall han2mbus &>/dev/null\n")
time.sleep(0.2)
os.system("/binary/han2mbus &>/dev/null &\n")

time.sleep(1)

print("""<HTML>
    <HEAD>
        Writing conf file
        <meta http-equiv=\"refresh\" content=\"0;url=/cgi-bin/han2mbus.py\">
    </HEAD>
</HTML>""")

