#!/usr/bin/python
# -*- coding: utf-8 -*-
import os, sys, cgi, time
if (int(sys.version[0])==3):
    import configparser
else:
    import ConfigParser as configparser

form = cgi.FieldStorage()

conf = configparser.RawConfigParser()
conf.read('/config/modbus2mbus.ini')
dconf = configparser.RawConfigParser()
dconf.read('/config/modbus2mbus_default.ini')

def setopt(sect, opt,nameext):
    retval=''
    try:
        retval=form[nameext+opt].value
    except:
        pass
    if retval == '':
        retval=dconf.get(sect,opt)
    conf.set(sect,opt,retval)

def write_section(sect,nameext=""):
    conf.remove_section(sect)
    conf.add_section(sect)
    for i in dconf.options(sect):
        setopt(sect,i,nameext)

def setopt1(sect, opt,nameext, secttemplate=None):
    retval=''
    try:
        retval=form[nameext+opt].value
    except:
        pass
    if retval == '':
        try:
            if not secttemplate:
                retval=dconf.get(sect,opt)
            else:
                retval=dconf.get(secttemplate,opt)
        except:
            pass
    conf.set(sect,opt,retval)

def write_section1(sect,nameext="", secttemplate=None):
    conf.remove_section(sect)
    conf.add_section(sect)
    for i in dconf.options(secttemplate):
        setopt1(sect,i,nameext,secttemplate)

#number_of_modbusports = int(form['number_of_modbusports'].value)
number_of_modbusports = 100 # XXXXX int(form['number_of_modbusports'].value)
if (number_of_modbusports < 1):
    number_of_modbusports = 1
if (number_of_modbusports > 30):
    number_of_modbusports = 30
write_section('Main')
write_section('MBusPort','S')
write_section('ModbusPort0','M0')
for i in range(1, number_of_modbusports):
    write_section1('ModbusPort%d'%i,'M%d'%i, 'ModbusPort1')


with open('/config/modbus2mbus.ini','w') as cfile:
    conf.write(cfile)
time.sleep(1)
cfile.close()

os.system("killall modbus2mbus &>/dev/null\n")
time.sleep(0.2)
os.system("/binary/modbus2mbus &>/dev/null &\n")

time.sleep(1)

print("""<HTML>
    <HEAD>
        Writing conf file
        <meta http-equiv=\"refresh\" content=\"0;url=/cgi-bin/modbus2mbus.py\">
    </HEAD>
</HTML>""")

